# Sixth laboratory for the Advanced Programming Course

## Compulsory

Create the following components:

* The main frame of the application.
* A configuration panel for introducing parameters regarding the shapes that will be drawn: the size, the number of sides, the stroke, etc.
The panel must be placed at the top part of the frame. The panel must contain at least one label and one input component for specifying the size of the component.
* A canvas (drawing panel) for drawing various types of shapes. You must implement at least one shape type at your own choice. This panel must be placed in the center part of the frame.
When the users execute mouse pressed operation, a shape must be drawn at the mouse location. You must use the properties defined in the configuration panel (at least one) and generate random values for others (color, etc.).
* A control panel for managing the image being created. This panel will contains the buttons: Load, Save, Reset, Exit and it will be placed at the bottom part of the frame.
* Use a file chooser in order to specify the file where the image will be saved (or load).

##Solution Compulsory
* I created 2 packages and for each of them I created the specific classes.
* I used graphic libraries in order to visually represent the application

![](screen1.png)

![](screen2.png)

![](cool.png)